> ## Documentation Index
> Fetch the complete documentation index at: https://docs.symmetry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start employee's I-9

> Generate a new hire's embedded Form I-9 experience after configuring the employer, employee, and administrators. Covers the request, response, and response elements.

Once you've registered your employer, employee, and administrator(s), and (optionally) configured E-Verify, you are ready to initiate the employee's Form I-9! You will use the API to generate a unique link to the embedded employee experience into the appropriate location in your platform.

## Generate I-9 access

To generate the employee's I-9 access token, make a call to the `/employers/{employerId}/employees/{employeeId}/generateToken` GET endpoint, setting the `employerId` and `employeeId` path parameters in the URL.

### Request

```bash Sample Request theme={null}
curl --location 'https://api.symmetry.com/i9/v1/employers/123456-b29d-75cf-a308-15ca267af31c/employees/12345-86d6-7447-aa2a-6a14c063273a/generateToken' \
--header 'Authorization: Bearer ••••••'
```

### Response

The response contains the `token` object, whose `embeddedUri` is a session-level URL that allows the employee to access the embedded I-9 session. Read more about [session-level access tokens here](/i9/core-concepts/authentication#embedded-experience-access).

Below is an example of a successful request.

```json Sample Response theme={null}
{
  "token": {
    "embeddedUri": "https://symmetry.workbright.com/embedded/new_sign_in?token=1234567890"
  }
}
```

#### Response elements

Below are the elements returned in the `token` object.

| Element       | Type   | Description                                                                                                                                                                                                                                              |
| :------------ | :----- | :------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `embeddedUri` | string | A fully constructed URL to embed within your platform to access the employee's I-9 session. This link embeds the token as a query parameter and can be used to launch the employee's embedded experience. The token it contains is valid for 30 minutes. |

## Embedded employee experience

<iframe src="https://player.vimeo.com/video/1094481377?badge=0&autopause=0&player_id=0&app_id=58479" title="Symmetry I-9 Embedded Employee Experience" width="100%" height="400" style={{ border: 0, width: "100%", aspectRatio: "16 / 9" }} allowFullScreen />
